#include <iostream>

using namespace std;

int main()
{
    int64_t l;
    int64_t m;
    int64_t n;
    int64_t out=1;
    int64_t len=0;
    cin >> l >> m >> n;
    while(len<=l){
         m=m+n;
        len=len+m;
        out++;
    }
    cout << out;
}
